#
# spec file for package vlc-beta
#
# Copyright (c) 2017 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%define libvlc 123
%define libvlccore 123
%bcond_with    vlc_opencv
%bcond_with    vlc_vulkan
%bcond_with    vlc_wayland
%bcond_with    fdk_aac
%ifarch %arm
%bcond_without opengles
%else
%bcond_with opengles
%endif
Name:           vlc-beta
Version:        20210110.7c10ffdd52
Release:        1.3
Summary:        Video Lan Client multimedia player
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Video/Players
Url:            http://www.videolan.org
Source:         %{name}-%{version}.tar.xz
Source1:        %{name}.changes
Source3:        %{name}-rpmlintrc
Patch0:         vlc-beta.patch
Patch1:         vlc.a52dec.patch
Patch2:         vlc.hostname.patch
Patch5:         fix_lib_version.patch
Patch6:         fix_freerdp2_detection.patch
Patch7:         fix_lua53_luaL_checkint.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  gettext-devel >= 0.19.8
BuildRequires:  libtool
BuildRequires:  pkgconf-pkg-config
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(dbus-1) >= 1.6.0
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(lua) >= 5.1
BuildRequires:  pkgconfig(libarchive) >= 3.1.0
BuildRequires:  pkgconfig(live555) >= 2015.01.27
BuildRequires:  pkgconfig(libdc1394-2) >= 2.1.0
BuildRequires:  pkgconfig(libraw1394) >= 2.0.1
BuildRequires:  pkgconfig(libavc1394) >= 0.5.3
BuildRequires:  pkgconfig(zvbi-0.2) >= 0.2.28
BuildRequires:  pkgconfig(dvdnav) >= 6.0.0
BuildRequires:  pkgconfig(dvdread) >= 6.0.0
%if %{with vlc_vulkan}
BuildRequires:  pkgconfig(libplacebo) >= 1.7
BuildRequires:  pkgconfig(vulkan) >= 1.0.26
%endif
BuildRequires:  pkgconfig(libbluray) >= 0.6.2
%if %{with vlc_opencv}
BuildRequires:  pkgconfig(opencv) > 2.0
%endif
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  pkgconfig(libnfs) >= 1.10.0
BuildRequires:  pkgconfig(libv4l2)
#uildRequires:  pkgconfig(ffnvcodec)
BuildRequires:  pkgconfig(libcddb) >= 0.9.5
BuildRequires:  pkgconfig(libvncclient) >= 0.9.9
BuildRequires:  pkgconfig(freerdp2)
BuildRequires:  pkgconfig(libdvbpsi) >= 1.2.0
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(ogg) >= 1.0
BuildRequires:  pkgconfig(vorbis) >= 1.1
BuildRequires:  pkgconfig(shout) >= 2.1
BuildRequires:  pkgconfig(libebml) >= 1.3.6
BuildRequires:  pkgconfig(libmatroska)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(shine) >= 3.0.0
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libavutil) >= 55.9.0
BuildRequires:  pkgconfig(libavcodec) >= 57.37.100
BuildRequires:  pkgconfig(libva) >= 0.38
BuildRequires:  pkgconfig(libva-drm)
BuildRequires:  pkgconfig(libva-x11)
BuildRequires:  pkgconfig(libavformat) >= 53.21.0
BuildRequires:  pkgconfig(libswscale) >= 0.5.0
BuildRequires:  pkgconfig(libpostproc)
BuildRequires:  pkgconfig(faad2)
BuildRequires:  pkgconfig(rav1e)
BuildRequires:  pkgconfig(dav1d) >= 0.5.0
BuildRequires:  pkgconfig(vpx) >= 1.5.0
BuildRequires:  pkgconfig(twolame)
%if %{with fdk_aac}
BuildRequires:  pkgconfig(fdk-aac)
%endif
BuildRequires:  pkgconfig(liba52)
BuildRequires:  pkgconfig(libdca) >= 0.0.5
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(vorbisenc) >= 1.1
BuildRequires:  pkgconfig(speex) >= 1.0.5
BuildRequires:  pkgconfig(opus) >= 1.0.3
BuildRequires:  pkgconfig(theoradec) >= 1.0
BuildRequires:  pkgconfig(theoraenc)
BuildRequires:  pkgconfig(schroedinger-1.0) >= 1.0.10
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(x265)
BuildRequires:  pkgconfig(x264) >= 0.86
BuildRequires:  pkgconfig(fluidsynth) >= 1.1.2
BuildRequires:  pkgconfig(libass) >= 0.9.8
BuildRequires:  pkgconfig(kate) >= 0.3.0
BuildRequires:  pkgconfig(tiger) >= 0.3.1
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(xcb) >= 1.6
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xcb-shm) >= 1.9.2
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xcb-randr) >= 1.3
BuildRequires:  pkgconfig(xcb-keysyms) >= 0.3.4
BuildRequires:  pkgconfig(vdpau) >= 0.6
%if %{with vlc_wayland}
BuildRequires:  pkgconfig(libva-wayland)
BuildRequires:  pkgconfig(wayland-client) >= 1.5.91
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.15
BuildRequires:  pkgconfig(wayland-scanner) >= 1.15
BuildRequires:  pkgconfig(xkbcommon)
%endif
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fontconfig) >= 2.11
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.9.0
BuildRequires:  pkgconfig(cairo) >= 1.13.1
BuildRequires:  pkgconfig(libdrm) >= 2.4.83
BuildRequires:  pkgconfig(caca) >= 0.99.beta14
BuildRequires:  pkgconfig(libpulse) >= 1.0
BuildRequires:  pkgconfig(alsa) >= 1.0.24
BuildRequires:  pkgconfig(jack) >= 1.9.7
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(soxr) >= 0.1.2
BuildRequires:  pkgconfig(libebur128) >= 1.2.4
BuildRequires:  pkgconfig(libchromaprint) >= 0.6.0
BuildRequires:  pkgconfig(Qt5Core) >= 5.11.0
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  pkgconfig(xkbcommon-x11)
BuildRequires:  libtar-devel
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(lirc)
BuildRequires:  pkgconfig(avahi-client) >= 0.6
BuildRequires:  pkgconfig(libudev) >= 142
BuildRequires:  pkgconfig(libmtp) >= 1.0.0
BuildRequires:  pkgconfig(libupnp)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5
BuildRequires:  libgcrypt-devel >= 1.6.0
BuildRequires:  pkgconfig(gnutls) >= 3.5.0
BuildRequires:  pkgconfig(taglib) >= 1.11
BuildRequires:  pkgconfig(libsecret-1) >= 0.18
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(protobuf-lite)

BuildRequires:  fdupes
BuildRequires:  update-desktop-files

Requires:       %{name}-noX = %{version}-%{release}
Requires:       %{name}-qt = %{version}-%{release}
Conflicts:      vlc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VLC media player is a highly portable multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...)
as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast
in IPv4 or IPv6 on a high-bandwidth network.

%package devel
Summary:        Video Lan Client Development system
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description devel
Those development headers are required if you plan on coding against VLC

%package -n libvlc%{libvlc}
Summary:        Shared library libvlc
Group:          System/Libraries

%description -n libvlc%{libvlc}
Shared library libvlc. To be installed by system dependencies

%package -n libvlccore%{libvlccore}
Summary:        Shared library libvlc
Group:          System/Libraries

%description -n libvlccore%{libvlccore}
Shared library libvlc. To be installed by system dependencies

%package noX
Summary:        VLC: VideoLAN Client - without X dependencies
Group:          Productivity/Multimedia/Video/Players
Requires:       libvlc%{libvlc} = %{version}-%{release}
Requires:       libvlccore%{libvlccore} = %{version}-%{release}
Provides:       %{name}-codecs = %{version}-%{release}
Obsoletes:      %{name}-codecs < %{version}-%{release}
Obsoletes:      %{name}-codecs-debuginfo
Recommends:     %{name}-noX-lang
Recommends:     libdvdcss
Conflicts:      vlc-noX
Conflicts:      vlc-codecs

%description noX
This Package of VLC contains the bare requirements you need to install.
Here is no graphical User Interface included, thus it's also perfectly
suitable for server installations (Streaming Server for example)

Should you decide to install the GUI modules, %{name}-noX will stay
installed as a dependency.

%lang_package -n %{name}-noX


%package qt
Summary:        VLC: VideoLAN Client - Qt interface
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name}-noX = %{version}-%{release}
Supplements:    packageand(%{name}-noX:libqt5)
Conflicts:      vlc-qt

%description qt
The all new Qt interface for the VLC VideoLAN Client.

%prep
%autosetup -p1

%build
# fix builddate info
# Remove build time references so build-compare can do its work
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{SOURCE1} '+%%H:%%M')
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{SOURCE1} '+%%b %%e %%Y')
sed -i~ "
s/__TIME__/\"$FAKE_BUILDTIME\"/
s/__DATE__/\"$FAKE_BUILDDATE\"/
" src/config/help.c modules/gui/qt/dialogs/help/help.cpp
#
echo %{version} > ./src/revision.txt
#
export BUILDCC=gcc
export CC=gcc
export CXX=g++
test -x "$(type -p gcc-8)" && export BUILDCC="$_"
test -x "$(type -p gcc-8)" && export CC="$_"
test -x "$(type -p g++-8)" && export CXX="$_"
CFLAGS='%{optflags} -Wno-unused-variable -Wno-unused-parameter -Wno-deprecated-declarations -Wno-unused-but-set-variable'
CXXFLAGS='%{optflags} -Wno-unused-variable -Wno-unused-parameter -Wno-deprecated-declarations -Wno-unused-but-set-variable'
./bootstrap
%configure --help
%configure \
	--without-contrib \
	--without-libfuzzer \
	--enable-shared \
	--enable-dbus \
	--disable-avx \
	--disable-debug \
	--disable-gprof \
	--disable-cprof \
	--disable-coverage \
	--disable-mod \
	--disable-opencv \
	--without-sanitizer \
	--enable-optimizations \
	--disable-fdkaac \
	--disable-mmx \
	--disable-sse \
	--disable-neon \
	--disable-altivec \
%ifarch %ix86 x86_64
	--enable-mmx \
	--enable-sse \
%endif
%ifarch aarch64
	--enable-arm64 \
%endif
	--disable-optimize-memory \
	--disable-run-as-root \
	--enable-sout \
	--enable-lua \
	--enable-vlm \
	--enable-addonmanagermodules \
	--enable-archive \
	--enable-live555 \
	--enable-dc1394 \
	--enable-dv1394 \
	--enable-linsys \
	--enable-dvdread \
	--enable-dvdnav \
	--enable-bluray \
%if %{with vlc_opencv}
	--enable-opencv \
%endif
	--enable-smbclient \
	--disable-dsm \
	--enable-sftp \
	--enable-nfs \
	--enable-v4l2 \
	--disable-decklink \
	--enable-vcd \
	--enable-libcddb \
	--disable-screen \
	--enable-vnc \
	--enable-freerdp \
	--disable-macosx-avfoundation \
	--disable-asdcp \
	--enable-dvbpsi \
	--enable-gme \
	--disable-sid \
	--enable-ogg \
	--enable-shout \
	--enable-matroska \
	--enable-mod \
	--disable-mpc \
	--disable-omxil \
	--disable-rpi-omxil \
	--enable-mad \
	--enable-mpg123 \
	--disable-gst-decode \
	--enable-merge-ffmpeg \
	--enable-avcodec \
	--enable-libva \
	--disable-dxva2 \
	--disable-d3d11va \
	--enable-avformat \
	--enable-swscale \
	--enable-postproc \
	--enable-faad \
	--disable-aom \
	--enable-rav1e \
	--enable-dav1d \
	--disable-vpx \
	--enable-vpx \
	--enable-twolame \
%if %{with fdk_aac}
	--enable-fdkaac \
%endif
	--enable-a52 \
	--enable-dca \
	--enable-flac \
	--enable-libmpeg2 \
	--enable-vorbis \
	--disable-tremor \
	--enable-speex \
	--enable-opus \
	--disable-spatialaudio \
	--enable-theora \
	--enable-oggspots \
	--disable-daala \
	--enable-schroedinger \
	--enable-png \
	--enable-jpeg \
	--disable-x262 \
	--enable-x265 \
	--disable-x26410b \
	--enable-x264 \
	--disable-mfx \
	--enable-fluidsynth \
	--disable-fluidlite \
	--enable-zvbi \
	--disable-telx \
	--enable-libass \
	--disable-aribsub \
	--disable-aribb25 \
	--enable-kate \
	--disable-tiger \
	--enable-tiger \
	--enable-css \
	--disable-gles2 \
%if %{with opengles}
	--enable-gles2 \
%endif
	--enable-xcb \
	--enable-vdpau \
	--disable-wayland \
%if %{with vlc_wayland}
	--enable-wayland \
%endif
	--enable-freetype \
	--enable-fribidi \
	--enable-harfbuzz \
	--enable-fontconfig \
	--with-default-font=%{_datadir}/fonts/truetype/FreeSerifBold.ttf \
	--with-default-monospace-font=%{_datadir}/fonts/truetype/FreeMono.ttf \
	--enable-svg \
	--enable-svgdec \
	--disable-directx \
	--enable-caca \
	--disable-kva \
	--disable-mmal \
	--enable-pulse \
	--enable-alsa \
	--disable-oss \
	--disable-sndio \
	--disable-wasapi \
	--enable-jack \
	--disable-opensles \
	--enable-samplerate \
	--enable-soxr \
	--disable-kai \
	--enable-chromaprint \
	--enable-chromecast \
	--enable-qt \
	--enable-qt \
	--enable-skins2 \
	--enable-libtar \
	--disable-macosx \
	--disable-sparkle \
	--without-breakpad \
	--disable-minimal-macosx \
	--disable-ncurses \
	--enable-ncurses \
	--enable-lirc \
	--disable-srt \
	--disable-goom \
	--disable-projectm \
	--disable-vsxu \
	--enable-avahi \
	--enable-udev \
	--enable-mtp \
	--enable-upnp \
	--disable-microdns \
	--enable-libxml2 \
	--enable-libgcrypt \
	--enable-gnutls \
	--enable-taglib \
	--enable-secret \
	--enable-kwallet \
	--disable-update-check \
	--disable-osx-notifications \
	--enable-notify \
	--disable-libplacebo \
	--disable-vulkan \
%if %{with vlc_vulkan}
	--enable-libplacebo \
	--enable-vulkan \
%endif
	--disable-medialibrary \
	--with-kde-solid=%{_datadir}/kde4/apps/solid \
	--enable-vlc \
	--enable-nls

%make_build

%install
%make_install
mkdir -p %{buildroot}/%{_datadir}/pixmaps
ln -s %{_datadir}/icons/hicolor/48x48/apps/vlc.png %{buildroot}/%{_datadir}/pixmaps/vlc.png
find %{buildroot} -type f -name "*.la" -delete -print
find %{buildroot} -type f -name "*.a" -delete -print
rm -rf %{buildroot}/usr/share/macosx
%suse_update_desktop_file vlc AudioVideo Audio Video Player
%fdupes %{buildroot}%{_datadir}/vlc
# remove duplicate file
rm %{buildroot}/%{_datadir}/vlc/lua/http/requests/README.txt
# add missing manfiles
for i in ?vlc; do
    pushd %{buildroot}/%{_mandir}/man1
    ln -s vlc.1 $i.1
    popd
done
%find_lang vlc

%files
%defattr(-,root,root)
%{_bindir}/svlc
%{_datadir}/metainfo
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*
%{_datadir}/kde4
%{_mandir}/man1/svlc*
%{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%{_libdir}/vlc/plugins/notify/libnotify_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libfreetype_plugin.so
%{_libdir}/vlc/plugins/video_splitter/libpanoramix_plugin.so
%if %{with opengles}
%{_libdir}/vlc/plugins/video_output/libgles2_plugin.so
%endif
%{_libdir}/vlc/plugins/video_output/libegl_x11_plugin.so
%if %{with vlc_wayland}
%{_libdir}/vlc/plugins/video_output/libegl_wl_plugin.so
%endif
%{_libdir}/vlc/plugins/visualization/libglspectrum_plugin.so

%files noX-lang -f vlc.lang
%defattr(-,root,root)

%files noX
%defattr(-,root,root)
%doc %{_datadir}/doc/vlc/
%doc NEWS AUTHORS COPYING THANKS README
%{_bindir}/cvlc
%{_bindir}/nvlc
%{_mandir}/man1/nvlc*
%{_bindir}/rvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%{_datadir}/vlc/
%{_mandir}/man1/cvlc*
%{_mandir}/man1/rvlc*
%{_mandir}/man1/vlc*
# Own the file.. but it's an auto-generated file, so ghost it.
%ghost %{_libdir}/vlc/plugins/plugins.dat
%dir %{_libdir}/vlc
%dir %{_libdir}/vlc/plugins
%dir %{_libdir}/vlc/plugins/access
%dir %{_libdir}/vlc/plugins/access_output
%dir %{_libdir}/vlc/plugins/audio_filter
%dir %{_libdir}/vlc/plugins/audio_mixer
%dir %{_libdir}/vlc/plugins/audio_output
%dir %{_libdir}/vlc/plugins/codec
%dir %{_libdir}/vlc/plugins/control
%dir %{_libdir}/vlc/plugins/demux
%dir %{_libdir}/vlc/plugins/gui
%dir %{_libdir}/vlc/plugins/keystore
%dir %{_libdir}/vlc/plugins/logger
%dir %{_libdir}/vlc/plugins/lua
%dir %{_libdir}/vlc/plugins/meta_engine
%dir %{_libdir}/vlc/plugins/misc
%dir %{_libdir}/vlc/plugins/mux
%dir %{_libdir}/vlc/plugins/notify
%dir %{_libdir}/vlc/plugins/packetizer
%dir %{_libdir}/vlc/plugins/services_discovery
%dir %{_libdir}/vlc/plugins/spu
%dir %{_libdir}/vlc/plugins/stream_extractor
%dir %{_libdir}/vlc/plugins/stream_filter
%dir %{_libdir}/vlc/plugins/stream_out
%dir %{_libdir}/vlc/plugins/text_renderer
%dir %{_libdir}/vlc/plugins/vaapi
%dir %{_libdir}/vlc/plugins/vdpau
%dir %{_libdir}/vlc/plugins/video_chroma
%dir %{_libdir}/vlc/plugins/video_filter
%dir %{_libdir}/vlc/plugins/video_output
%dir %{_libdir}/vlc/plugins/video_splitter
%dir %{_libdir}/vlc/plugins/visualization
%dir %{_libexecdir}/vlc
%{_libdir}/vlc/libvlc_pulse.so.0
%{_libdir}/vlc/libvlc_pulse.so.0.0.0
%{_libdir}/vlc/libvlc_vdpau.so.0
%{_libdir}/vlc/libvlc_vdpau.so.0.0.0
%{_libdir}/vlc/libvlc_xcb_events.so.0
%{_libdir}/vlc/libvlc_xcb_events.so.0.0.0
%{_libexecdir}/vlc/lua
%{_libexecdir}/vlc/vlc-cache-gen
%{_libexecdir}/vlc/vlc-qt-check
%if %{with vlc_wayland}
%{_libdir}/vlc/plugins/access/libwl_screenshooter_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libaccess_alsa_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_concat_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_imem_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_jack_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mms_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mtp_plugin.so
%{_libdir}/vlc/plugins/access/libamt_plugin.so
%{_libdir}/vlc/plugins/access/libcdda_plugin.so
%{_libdir}/vlc/plugins/access/libdc1394_plugin.so
%{_libdir}/vlc/plugins/access/libdtv_plugin.so
%{_libdir}/vlc/plugins/access/libdv1394_plugin.so
%{_libdir}/vlc/plugins/access/libdvb_plugin.so
%{_libdir}/vlc/plugins/access/libdvdnav_plugin.so
%{_libdir}/vlc/plugins/access/libdvdread_plugin.so
%{_libdir}/vlc/plugins/access/libfilesystem_plugin.so
%{_libdir}/vlc/plugins/access/libftp_plugin.so
%{_libdir}/vlc/plugins/access/libgopher_plugin.so
%{_libdir}/vlc/plugins/access/libhttp_plugin.so
%{_libdir}/vlc/plugins/access/libhttps_plugin.so
%{_libdir}/vlc/plugins/access/libidummy_plugin.so
%{_libdir}/vlc/plugins/access/libimem_plugin.so
%{_libdir}/vlc/plugins/access/liblibbluray_plugin.so
%{_libdir}/vlc/plugins/access/liblinsys_hdsdi_plugin.so
%{_libdir}/vlc/plugins/access/liblinsys_sdi_plugin.so
%{_libdir}/vlc/plugins/access/liblive555_plugin.so
%{_libdir}/vlc/plugins/access/libnfs_plugin.so
%{_libdir}/vlc/plugins/access/libpulsesrc_plugin.so
%{_libdir}/vlc/plugins/access/librdp_plugin.so
%{_libdir}/vlc/plugins/access/librtp_plugin.so
%{_libdir}/vlc/plugins/access/libsatip_plugin.so
%{_libdir}/vlc/plugins/access/libsdp_plugin.so
%{_libdir}/vlc/plugins/access/libsftp_plugin.so
%{_libdir}/vlc/plugins/access/libshm_plugin.so
%{_libdir}/vlc/plugins/access/libsmbc_plugin.so
%{_libdir}/vlc/plugins/access/libtcp_plugin.so
%{_libdir}/vlc/plugins/access/libtimecode_plugin.so
%{_libdir}/vlc/plugins/access/libudp_plugin.so
%{_libdir}/vlc/plugins/access/libv4l2_plugin.so
%{_libdir}/vlc/plugins/access/libvcd_plugin.so
%{_libdir}/vlc/plugins/access/libvdr_plugin.so
%{_libdir}/vlc/plugins/access/libvnc_plugin.so
%{_libdir}/vlc/plugins/access/libxcb_screen_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_http_put_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_dummy_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_file_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_http_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_livehttp_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_shout_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_udp_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudio_format_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudiobargraph_a_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libcenter_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libchorus_flanger_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libcompressor_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdolby_surround_decoder_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libebur128_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libequalizer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libgain_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libheadphone_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libkaraoke_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmad_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmono_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libnormvol_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libparam_eq_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libremap_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsamplerate_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libscaletempo_pitch_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libscaletempo_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsimple_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsoxr_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libspatializer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libspeex_resampler_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libstereo_widen_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libtospdif_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libtrivial_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libugly_resampler_plugin.so
%{_libdir}/vlc/plugins/audio_mixer/libfloat_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_mixer/libinteger_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_output/libadummy_plugin.so
%{_libdir}/vlc/plugins/audio_output/libafile_plugin.so
%{_libdir}/vlc/plugins/audio_output/libalsa_plugin.so
%{_libdir}/vlc/plugins/audio_output/libamem_plugin.so
%{_libdir}/vlc/plugins/audio_output/libjack_plugin.so
%{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so
%if %{with fdk_aac}
%{_libdir}/vlc/plugins/codec/libfdkaac_plugin.so
%endif
%{_libdir}/vlc/plugins/codec/liba52_plugin.so
%{_libdir}/vlc/plugins/codec/libadpcm_plugin.so
%{_libdir}/vlc/plugins/codec/libaes3_plugin.so
%{_libdir}/vlc/plugins/codec/libaraw_plugin.so
%{_libdir}/vlc/plugins/codec/libavcodec_plugin.so
%{_libdir}/vlc/plugins/codec/libcc_plugin.so
%{_libdir}/vlc/plugins/codec/libcdg_plugin.so
%{_libdir}/vlc/plugins/codec/libcvdsub_plugin.so
%{_libdir}/vlc/plugins/codec/librav1e_plugin.so
%{_libdir}/vlc/plugins/codec/libdav1d_plugin.so
%{_libdir}/vlc/plugins/codec/libdca_plugin.so
%{_libdir}/vlc/plugins/codec/libddummy_plugin.so
%{_libdir}/vlc/plugins/codec/libdvbsub_plugin.so
%{_libdir}/vlc/plugins/codec/libedummy_plugin.so
%{_libdir}/vlc/plugins/codec/libfaad_plugin.so
%{_libdir}/vlc/plugins/codec/libflac_plugin.so
%{_libdir}/vlc/plugins/codec/libfluidsynth_plugin.so
%{_libdir}/vlc/plugins/codec/libg711_plugin.so
%{_libdir}/vlc/plugins/codec/libjpeg_plugin.so
%{_libdir}/vlc/plugins/codec/libkate_plugin.so
%{_libdir}/vlc/plugins/codec/liblibmpeg2_plugin.so
%{_libdir}/vlc/plugins/codec/liblpcm_plugin.so
%{_libdir}/vlc/plugins/codec/libmpg123_plugin.so
%{_libdir}/vlc/plugins/codec/liboggspots_plugin.so
%{_libdir}/vlc/plugins/codec/libopus_plugin.so
%{_libdir}/vlc/plugins/codec/libpng_plugin.so
%{_libdir}/vlc/plugins/codec/librawvideo_plugin.so
%{_libdir}/vlc/plugins/codec/librtpvideo_plugin.so
%{_libdir}/vlc/plugins/codec/libschroedinger_plugin.so
%{_libdir}/vlc/plugins/codec/libscte18_plugin.so
%{_libdir}/vlc/plugins/codec/libscte27_plugin.so
%{_libdir}/vlc/plugins/codec/libshine_plugin.so
%{_libdir}/vlc/plugins/codec/libspdif_plugin.so
%{_libdir}/vlc/plugins/codec/libspeex_plugin.so
%{_libdir}/vlc/plugins/codec/libspudec_plugin.so
%{_libdir}/vlc/plugins/codec/libstl_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsdec_plugin.so
%{_libdir}/vlc/plugins/codec/libsubstx3g_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsusf_plugin.so
%{_libdir}/vlc/plugins/codec/libsvcdsub_plugin.so
%{_libdir}/vlc/plugins/codec/libsvgdec_plugin.so
%{_libdir}/vlc/plugins/codec/libt140_plugin.so
%{_libdir}/vlc/plugins/codec/libtextst_plugin.so
%{_libdir}/vlc/plugins/codec/libtheora_plugin.so
%{_libdir}/vlc/plugins/codec/libttml_plugin.so
%{_libdir}/vlc/plugins/codec/libtwolame_plugin.so
%{_libdir}/vlc/plugins/codec/libuleaddvaudio_plugin.so
%{_libdir}/vlc/plugins/codec/libv*
%{_libdir}/vlc/plugins/codec/libwebvtt_plugin.so
%{_libdir}/vlc/plugins/codec/libx264_plugin.so
%{_libdir}/vlc/plugins/codec/libx265_plugin.so
%{_libdir}/vlc/plugins/codec/libxwd_plugin.so
%{_libdir}/vlc/plugins/codec/libzvbi_plugin.so
%{_libdir}/vlc/plugins/control/libdbus_plugin.so
%{_libdir}/vlc/plugins/control/libdummy_plugin.so
%{_libdir}/vlc/plugins/control/libgestures_plugin.so
%{_libdir}/vlc/plugins/control/liblirc_plugin.so
%{_libdir}/vlc/plugins/control/libhotkeys_plugin.so
%{_libdir}/vlc/plugins/control/libxcb_hotkeys_plugin.so
%{_libdir}/vlc/plugins/control/librc_plugin.so
%{_libdir}/vlc/plugins/demux/libadaptive_plugin.so
%{_libdir}/vlc/plugins/demux/libaiff_plugin.so
%{_libdir}/vlc/plugins/demux/libasf_plugin.so
%{_libdir}/vlc/plugins/demux/libau_plugin.so
%{_libdir}/vlc/plugins/demux/libavi_plugin.so
%{_libdir}/vlc/plugins/demux/libcaf_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_cdg_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_chromecast_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_stl_plugin.so
%{_libdir}/vlc/plugins/demux/libdemuxdump_plugin.so
%{_libdir}/vlc/plugins/demux/libdirectory_demux_plugin.so
%{_libdir}/vlc/plugins/demux/libdmxmus_plugin.so
%{_libdir}/vlc/plugins/demux/libes_plugin.so
%{_libdir}/vlc/plugins/demux/libflacsys_plugin.so
%{_libdir}/vlc/plugins/demux/libgme_plugin.so
%{_libdir}/vlc/plugins/demux/libh26x_plugin.so
%{_libdir}/vlc/plugins/demux/libimage_plugin.so
%{_libdir}/vlc/plugins/demux/libmjpeg_plugin.so
%{_libdir}/vlc/plugins/demux/libmkv_plugin.so
%{_libdir}/vlc/plugins/demux/libmod_plugin.so
%{_libdir}/vlc/plugins/demux/libmp4_plugin.so
%{_libdir}/vlc/plugins/demux/libmpgv_plugin.so
%{_libdir}/vlc/plugins/demux/libnoseek_plugin.so
%{_libdir}/vlc/plugins/demux/libnsv_plugin.so
%{_libdir}/vlc/plugins/demux/libnuv_plugin.so
%{_libdir}/vlc/plugins/demux/libogg_plugin.so
%{_libdir}/vlc/plugins/demux/libplaylist_plugin.so
%{_libdir}/vlc/plugins/demux/libps_plugin.so
%{_libdir}/vlc/plugins/demux/libpva_plugin.so
%{_libdir}/vlc/plugins/demux/librawaud_plugin.so
%{_libdir}/vlc/plugins/demux/librawdv_plugin.so
%{_libdir}/vlc/plugins/demux/librawvid_plugin.so
%{_libdir}/vlc/plugins/demux/libsmf_plugin.so
%{_libdir}/vlc/plugins/demux/libsubtitle_plugin.so
%{_libdir}/vlc/plugins/demux/libts_plugin.so
%{_libdir}/vlc/plugins/demux/libtta_plugin.so
%{_libdir}/vlc/plugins/demux/libty_plugin.so
%{_libdir}/vlc/plugins/demux/libvc1_plugin.so
%{_libdir}/vlc/plugins/demux/libvobsub_plugin.so
%{_libdir}/vlc/plugins/demux/libvoc_plugin.so
%{_libdir}/vlc/plugins/demux/libwav_plugin.so
%{_libdir}/vlc/plugins/demux/libxa_plugin.so
%{_libdir}/vlc/plugins/demux/libytdl_plugin.so
%{_libdir}/vlc/plugins/gui/libncurses_plugin.so
%{_libdir}/vlc/plugins/gui/libskins2_plugin.so
%{_libdir}/vlc/plugins/keystore/libfile_keystore_plugin.so
%{_libdir}/vlc/plugins/keystore/libkwallet_plugin.so
%{_libdir}/vlc/plugins/keystore/libmemory_keystore_plugin.so
%{_libdir}/vlc/plugins/keystore/libsecret_plugin.so
%{_libdir}/vlc/plugins/logger/libconsole_logger_plugin.so
%{_libdir}/vlc/plugins/logger/libfile_logger_plugin.so
%{_libdir}/vlc/plugins/logger/libsd_journal_plugin.so
%{_libdir}/vlc/plugins/logger/libsyslog_plugin.so
%{_libdir}/vlc/plugins/lua/liblua_plugin.so
%{_libdir}/vlc/plugins/meta_engine/libfolder_plugin.so
%{_libdir}/vlc/plugins/meta_engine/libtaglib_plugin.so
%{_libdir}/vlc/plugins/misc/libaddonsfsstorage_plugin.so
%{_libdir}/vlc/plugins/misc/libaddonsvorepository_plugin.so
%{_libdir}/vlc/plugins/misc/libaudioscrobbler_plugin.so
%{_libdir}/vlc/plugins/misc/libdbus_screensaver_plugin.so
%{_libdir}/vlc/plugins/misc/libexport_plugin.so
%{_libdir}/vlc/plugins/misc/libfingerprinter_plugin.so
%{_libdir}/vlc/plugins/misc/libgnutls_plugin.so
%{_libdir}/vlc/plugins/misc/libstats_plugin.so
%{_libdir}/vlc/plugins/misc/libxdg_screensaver_plugin.so
%{_libdir}/vlc/plugins/misc/libxml_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_asf_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_avi_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_dummy_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_mp4_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_mpjpeg_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ogg_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ps_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ts_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_wav_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_a52_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_av1_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_copy_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_dts_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_flac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_h264_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_hevc_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mjpeg_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mlp_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4audio_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4video_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpegaudio_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpegvideo_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_vc1_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libavahi_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libmtp_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libpodcast_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libpulselist_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libsap_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libudev_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libupnp_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libxcb_apps_plugin.so
%{_libdir}/vlc/plugins/spu/libaudiobargraph_v_plugin.so
%{_libdir}/vlc/plugins/spu/libdynamicoverlay_plugin.so
%{_libdir}/vlc/plugins/spu/liblogo_plugin.so
%{_libdir}/vlc/plugins/spu/libmarq_plugin.so
%{_libdir}/vlc/plugins/spu/libmosaic_plugin.so
%{_libdir}/vlc/plugins/spu/librss_plugin.so
%{_libdir}/vlc/plugins/spu/libsubsdelay_plugin.so
%{_libdir}/vlc/plugins/stream_extractor/libarchive_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libadf_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libcache_block_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libcache_read_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libdecomp_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libhds_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libinflate_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libprefetch_plugin.so
%{_libdir}/vlc/plugins/stream_filter/librecord_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libskiptags_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_autodel_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_bridge_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_chromaprint_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_cycle_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_delay_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_display_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_dummy_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_duplicate_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_es_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_gather_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_mosaic_bridge_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_record_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_rtp_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_setid_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_smem_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_standard_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_stats_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_transcode_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libsvg_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libtdummy_plugin.so
%{_libdir}/vlc/plugins/vaapi/libdecdev_vaapi_drm_plugin.so
%{_libdir}/vlc/plugins/vaapi/libdecdev_vaapi_x11_plugin.so
%{_libdir}/vlc/plugins/vaapi/libvaapi_filters_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_adjust_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_avcodec_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_chroma_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_deinterlace_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_display_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_sharpen_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libgrey_yuv_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_nv12_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_plugin.so
%ifarch %ix86 x86_64
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_mmx_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_sse2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_mmx_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_sse2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_mmx_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_sse2_plugin.so
%endif
%{_libdir}/vlc/plugins/video_chroma/libchain_plugin.so
%{_libdir}/vlc/plugins/video_chroma/librv32_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libswscale_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuvp_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i422_plugin.so
%{_libdir}/vlc/plugins/video_filter/libadjust_plugin.so
%{_libdir}/vlc/plugins/video_filter/libalphamask_plugin.so
%{_libdir}/vlc/plugins/video_filter/libanaglyph_plugin.so
%{_libdir}/vlc/plugins/video_filter/libantiflicker_plugin.so
%{_libdir}/vlc/plugins/video_filter/libball_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblend_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblendbench_plugin.so
%{_libdir}/vlc/plugins/video_filter/libbluescreen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcanvas_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcolorthres_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcroppadd_plugin.so
%{_libdir}/vlc/plugins/video_filter/libdeinterlace_plugin.so
%{_libdir}/vlc/plugins/video_filter/libedgedetection_plugin.so
%{_libdir}/vlc/plugins/video_filter/liberase_plugin.so
%{_libdir}/vlc/plugins/video_filter/libextract_plugin.so
%{_libdir}/vlc/plugins/video_filter/libfps_plugin.so
%{_libdir}/vlc/plugins/video_filter/libfreeze_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgaussianblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradfun_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradient_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgrain_plugin.so
%{_libdir}/vlc/plugins/video_filter/libhqdn3d_plugin.so
%{_libdir}/vlc/plugins/video_filter/libinvert_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmagnify_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmirror_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmotionblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmotiondetect_plugin.so
%{_libdir}/vlc/plugins/video_filter/liboldmovie_plugin.so
%if %{with vlc_opencv}
%{_libdir}/vlc/plugins/video_filter/libopencv_example_plugin.so
%{_libdir}/vlc/plugins/video_filter/libopencv_wrapper_plugin.so
%endif
%{_libdir}/vlc/plugins/video_filter/libposterize_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpostproc_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpsychedelic_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpuzzle_plugin.so
%{_libdir}/vlc/plugins/video_filter/libripple_plugin.so
%{_libdir}/vlc/plugins/video_filter/librotate_plugin.so
%{_libdir}/vlc/plugins/video_filter/libscale_plugin.so
%{_libdir}/vlc/plugins/video_filter/libscene_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsepia_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsharpen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libtransform_plugin.so
%{_libdir}/vlc/plugins/video_filter/libvhs_plugin.so
%{_libdir}/vlc/plugins/video_filter/libwave_plugin.so
%{_libdir}/vlc/plugins/video_splitter/libclone_plugin.so
%{_libdir}/vlc/plugins/video_splitter/libwall_plugin.so
%{_libdir}/vlc/plugins/video_output/libcaca_plugin.so
%{_libdir}/vlc/plugins/video_output/libfb_plugin.so
%{_libdir}/vlc/plugins/video_output/libflaschen_plugin.so
%{_libdir}/vlc/plugins/video_output/libgl_plugin.so
%{_libdir}/vlc/plugins/video_output/libglinterop_vaapi_plugin.so
%{_libdir}/vlc/plugins/video_output/libglinterop_vdpau_plugin.so
%{_libdir}/vlc/plugins/video_output/libglx_plugin.so
%{_libdir}/vlc/plugins/video_output/libkms_plugin.so
%{_libdir}/vlc/plugins/video_output/libvdummy_plugin.so
%{_libdir}/vlc/plugins/video_output/libvgl_plugin.so
%{_libdir}/vlc/plugins/video_output/libvideo_splitter_plugin.so
%{_libdir}/vlc/plugins/video_output/libvmem_plugin.so
%{_libdir}/vlc/plugins/video_output/libwdummy_plugin.so
%{_libdir}/vlc/plugins/video_output/libwextern_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_render_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_window_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_x11_plugin.so
%{_libdir}/vlc/plugins/video_output/libyuv_plugin.so
%if %{with vlc_wayland}
%{_libdir}/vlc/plugins/video_output/libglinterop_vaapi_wl_plugin.so
%{_libdir}/vlc/plugins/video_output/libwl_shell_plugin.so
%{_libdir}/vlc/plugins/video_output/libwl_shm_plugin.so
%{_libdir}/vlc/plugins/video_output/libxdg_shell_plugin.so
%endif
%{_libdir}/vlc/plugins/visualization/libvisual_plugin.so

%files -n libvlc%{libvlc}
%defattr(-,root,root)
%{_libdir}/libvlc.so.%{libvlc}*

%files -n libvlccore%{libvlccore}
%defattr(-,root,root)
%{_libdir}/libvlccore.so.%{libvlccore}*

%files qt
%defattr(-,root,root)
%{_bindir}/qvlc
%{_mandir}/man1/qvlc*
%{_libdir}/vlc/plugins/gui/libqt_plugin.so

%files devel
%defattr(-,root,root)
%{_includedir}/vlc/
%{_libdir}/libvlccore.so
%{_libdir}/libvlc.so
%{_libdir}/pkgconfig/libvlc.pc
%{_libdir}/pkgconfig/vlc-plugin.pc
%{_libdir}/vlc/libvlc_pulse.so
%{_libdir}/vlc/libvlc_vdpau.so
%{_libdir}/vlc/libvlc_xcb_events.so

%post -n %{name}-noX -p /sbin/ldconfig

%postun -n %{name}-noX -p /sbin/ldconfig

%post -n libvlc%{libvlc} -p /sbin/ldconfig

%postun -n libvlc%{libvlc} -p /sbin/ldconfig

%post -n libvlccore%{libvlccore} -p /sbin/ldconfig

%postun -n libvlccore%{libvlccore} -p /sbin/ldconfig

%changelog
* Sun Jan 10 2021 olaf@aepfle.de
- Update to 20210110.7c10ffdd52
* Sun Jan 21 2018 enzokiel@kabelmail.de
- Enabled chromecast support.
* Fri Jun  2 2017 zaitor@opensuse.org
- Package new libmpg123 codec plugin
* Sun Oct 16 2016 aloisio@gmx.com
- enabled libcrystalhd and systemd
* Mon Aug  8 2016 davejplater@gmail.com
- Conflicted vlc-codecs
* Sat Apr 30 2016 aloisio@gmx.com
- Switched to ffmpeg 3.0
* Mon Sep 14 2015 aloisio@gmx.com
- Dropped gnome package (gnome-vfs has been long deprecated)
* Wed May 13 2015 aloisio@gmx.com
- Switched to Qt5.
* Tue Mar 10 2015 aloisio@gmx.com
- Enabled dvdnav and bluray for everything
* Mon Mar  2 2015 aloisio@gmx.com
- Updated to current version and renamed in
  in accordance with the guidelines at:
  https://en.opensuse.org/openSUSE:Package_naming_guidelines
* Tue Feb 24 2015 aloisio@gmx.com
- Enabled swscale unconditionally
- Further cleanup
- Added libarchive
- Dropped useless patch
* Thu Feb 19 2015 aloisio@gmx.com
- Minor fixes
- Enabled dvd support
- Dropped support for SLE11 and 11.4
- Spec cleanup
* Wed Jan 28 2015 aloisio@gmx.com
- Updated to current git version and droppped
  no longer necessary VLSub extension patch
- Removed a few obsolete options
- Fixed SLE-12 build
* Fri Jan  2 2015 aloisio@gmx.com
- Bumped libvlccore version to 9 to avoid clashes
  with the upcoming vlc 2.2
* Sun Nov 16 2014 aloisio@gmx.com
- Replaced malfunctioning VLSub extension with the official one
* Wed Oct 22 2014 aloisio@gmx.com
- Changed soname for libvlc to avoid conflict with vlc stable
* Fri Oct  3 2014 aloisio@gmx.com
- Switch to branch 3.x, #11931 fixed.
  * no dvd support due to lack of a sufficiently recent
    libdvdnav
  * no GnuTLS support on distributions older than openSUSE 13.1
* Sat Jul 13 2013 dimstar@opensuse.org
- Bump versio to 2.2.0: vlc 2.1.0 is closing in and git master
  already tracks vlc 2.2.0.
* Mon Aug  6 2012 dimstar@opensuse.org
- Disable oss: this is getting stale old and not really used on
  openSUSE anymore.
* Fri Mar 30 2012 dimstar@opensuse.org
- Inject -L%%%%{_libdir}/live into CFLAGS and CXXFLAGS for live555 to
  be built. The static lib is in a non-standard place and not
  detected by configure scripts.
* Tue Feb 21 2012 dimstar@opensuse.org
- Add dirac-devel BuildRequires.
* Wed Jan 18 2012 dimstar@opensuse.org
- Conditionally BuildRequire lua51-devel on Factory/12.2.
* Fri Dec  2 2011 dimstar@opensuse.org
- Add libtool BuildRequires, as we need to bootstrap the build.
* Wed Nov 16 2011 dominique-vlc.suse@leuenberger.net
- Add libbluray-devel BuildRequires. Allows us to also play back
  Blu-Ray disks.
* Mon Oct  3 2011 dominique-vlc.suse@leuenberger.net
- Disable v4l on openSUSE 11.3, as the code does not support the
  'old' kernel used here. See http://mailman.videolan.org/pipermail/vlc-devel/2011-October/082321.html
* Thu Aug 18 2011 dominique-vlc.suse@leuenberger.net
- Add git BuildRequires for the extended build system stamping a
  revision.
* Mon Jul 11 2011 dominique-vlc.suse@leuenberger.net
- Remove portaudio-devel BuildRequires: this is long obsoleted.
* Sun May  1 2011 dominique-vlc.suse@leuenberger.net
- Libass on openSUSE 11.3 is outdated and no longer supported.
* Fri Apr  1 2011 dominique-vlc.suse@leuenberger.net
- Rebase fix_font_patch.patch due to freetype.c move in the tree.
* Sun Mar  6 2011 dominique-vlc.suse@leuenberger.net
- Remove kde4-filesystem BuildReqiures. Too useless to track
  X-Distro.
* Mon Nov  8 2010 dominique-vlc.suse@leuenberger.net
- Remove no longer supported parameters from configure:
  - -enable-asademux, --enable-cddax, --enable-cmml,
  - -enable-libcdio, --enable-release, --enable-v4l
- Remove libasa-devel and csri-devel BuildRequires.
* Wed Oct 20 2010 dominique-vlc.suse@leuenberger.net
- Remove mozilla subpackage (will be split out in an own package)
* Fri Aug 27 2010 dominique-vlc.suse@leuenberger.net
- Add gdk-pixbuf-devel on openSUSE 11,4+.
- Add gtk2-devel BuildRequires for new versions of libnotify.
* Tue Aug  3 2010 dominique-vlc.suse@leuenberger.net
- BuildRequire libmatroska-devel instead of libmatroska.
* Sat Jul  3 2010 dominique-vlc.suse@leuenberger.net
- Add lirc-devel to BuildRequires to actually build the lirc
  interface. Thanks to Rob Verduijn for reporting this error.
* Wed Jun  9 2010 dominique-vlc.suse@leuenberger.net
- BuildRequires libva-devel on openSUSE 11.2+
* Thu May 13 2010 dominique-vlc.suse@leuenberger.net
- Add additionala BuildDependencies to have more complete feature
  set:
  +  avahi-devel, fluidsynth-devel, libavc1394-devel,
    libmodplug-devel, libmtp-devel, libraw1394-devel,
    librsvg-devel, libshout-devel, libudev-devel, libv4l-devel,
    libxml2-devel, pcre-devel, portaudio-devel, schroedinger-devel
    and zvbi-devel .
* Thu Apr 22 2010 dominique-vlc.suse@leuenberger.net
- Use mozilla-xulrunner192 on openSUSE 11.3.
* Thu Sep  3 2009 dominique-vlc.suse@leuenberger.net
- Properly conflict all the sub-packages from vlc stable release.
* Thu Aug 20 2009 dominique-vlc.suse@leuenberger.net
- Removed x11 and xvideo output modules.
* Mon Aug 10 2009 dominique-vlc.suse@leuenberger.net
- Remove --enable-caca. It's now properly auto-detected.
* Fri Aug  7 2009 dominique-vlc.suse@leuenberger.net
- Add support for flac and speex.
* Thu Jun 18 2009 dominique-vlc.suse@leuenberger.net
- Disable XCB on all openSUSE < 11.2
